<?php

require_once ('customizer.php');

// Setup function

if (!function_exists('politician_setup')):
	function politician_setup()
	{
		add_theme_support('automatic-feed-links');
		add_theme_support('title-tag');
		add_theme_support('post-thumbnails');
		register_nav_menu('primary', __('Primary Menu', 'politician'));
		if (!isset($content_width)) $content_width = 535;

		// Languages
		load_theme_textdomain('politician', get_template_directory() . '/lang');
	}

endif;
add_action('after_setup_theme', 'politician_setup');

function politician_scripts()
{
    //Styles
	wp_register_style('reset', get_template_directory_uri() . '/css/reset.css');
	wp_register_style('signika_font', 'http://fonts.googleapis.com/css?family=Signika:400,600,700&amp;subset=latin,latin-ext');
	wp_register_style('radley_font', 'http://fonts.googleapis.com/css?family=Radley:400,400italic&amp;subset=latin,latin-ext');
	wp_register_style('colour', get_template_directory_uri() . '/css/colour-' . get_theme_mod('style', 'avocado') . '.css');
  wp_register_style('fontello', get_template_directory_uri() . '/fontello/css/fontello.css');

	wp_register_style('politician', get_stylesheet_uri() , array(
		'colour',
		'reset',
		'signika_font',
		'radley_font',
    'fontello'
	));
	wp_enqueue_style('politician');

    //Scripts
	wp_enqueue_script('jQuery', 'http://cdn.jquerytools.org/1.2.7/full/jquery.tools.min.js');
	wp_enqueue_script('mobile-menu', get_template_directory_uri() . '/js/mobile-menu.js');
	if (is_front_page())
	{
		wp_enqueue_script('politician_footer', get_template_directory_uri() . '/js/footer.js', array() , false, true);
	}

	if (is_singular())
	{
		wp_enqueue_script('comment-reply');
	}

	// If IE9 or older version, load this script
	if (preg_match('/(?i)msie [1-9]/', $_SERVER['HTTP_USER_AGENT']))
	{
		wp_enqueue_script('ie9', 'http://html5shiv.googlecode.com/svn/trunk/html5.js');
	}
}

add_action('wp_enqueue_scripts', 'politician_scripts');

function politician_sidebar()
{
	register_sidebar(array(
		'name' => __('Main Sidebar', 'politician') ,
		'id' => 'sidebar-1',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h2 class="widget-title title">',
		'after_title' => '</h2>',
	));
}

add_action('widgets_init', 'politician_sidebar');
